%global               debug_package %{nil}
Summary: A GUI text editor for systems with X
Name: nedit
Version: 5.7.0
Release: 14.fc32
Source: http://nedit.org/ftp/v5_6/nedit-%{version}.tar.xz
Source1: nedit.desktop
Source2: nedit-icon.png
Patch0: nedit-5.7-security.patch
Patch1: nedit-5.7-makefile.patch
Patch2: nedit-openmotif-2.3.8.patch
Patch3: nedit-gzip-file.patch
Patch4: syntax_highlight_different_fonts.patch
License: GPLv2
Group: Applications/Editors
Requires: motif, xorg-x11-fonts-ISO8859-1-75dpi
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: motif-devel, libXau-devel, libXpm-devel, libXmu-devel
BuildRequires: desktop-file-utils

%description
NEdit is a GUI text editor for the X Window System. NEdit is
very easy to use, especially if you are familiar with the
Macintosh or Microsoft Windows style of interface.

%prep
%setup -q
%patch0 -p1 -b .security
%patch1 -p1 -b .makefile
%patch2 -p1 -b .openmotif
%patch3 -p1 -b .gzip
for file in README doc/nedit.doc; do
  iconv -f latin1 -t utf8 < $file > $file.utf8
  touch -r $file $file.utf8
  mv $file.utf8 $file
done

%build
make linux C_OPT_FLAGS="$RPM_OPT_FLAGS -DBUILD_UNTESTED_NEDIT" CFLAGS="$RPM_OPT_FLAGS -DBUILD_UNTESTED_NEDIT"

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
mv source/nc source/nedit-client
install -m 755 source/nedit source/nedit-client $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 doc/nedit.man $RPM_BUILD_ROOT%{_mandir}/man1/nedit.1x
mv doc/nc.man doc/nedit-client.man
install -p -m 644 doc/nedit-client.man $RPM_BUILD_ROOT%{_mandir}/man1/nedit-client.1x

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/nedit.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --add-category "Development;" \
        %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root)
%doc doc/nedit.doc README ReleaseNotes
%{_mandir}/*/*
%{_bindir}/*
%{_prefix}/share/applications/*
%{_datadir}/icons/hicolor/

%changelog
